## erlang-redis-client 1.0.8

=== Makefile ===
APP=eredis

.PHONY: all compile clean Emakefile

all: compile

compile: ebin/$(APP).app Emakefile
	erl -noinput -eval 'up_to_date = make:all()' -s erlang halt

clean:
	rm -f -- ebin/*.beam Emakefile ebin/$(APP).app

ebin/$(APP).app: src/$(APP).app.src
	mkdir -p ebin
	cp -f -- $< $@

ifdef DEBUG
EXTRA_OPTS:=debug_info,
endif

ifdef TEST
EXTRA_OPTS:=$(EXTRA_OPTS) {d,'TEST', true},
endif

Emakefile: Emakefile.src
	sed "s/{{EXTRA_OPTS}}/$(EXTRA_OPTS)/" $< > $@

=== debian/changelog ===
erlang-redis-client (1.0.8-5) unstable; urgency=medium

  * Updated years in debian/copyright
  * Updated Standards-Version: 4.0.0 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Tue, 11 Jul 2017 11:33:57 +0200

erlang-redis-client (1.0.8-4) unstable; urgency=medium

  * Added erlang-base to Build-Depends

 -- Philipp Huebner <debalance@debian.org>  Wed, 05 Oct 2016 15:51:44 +0200

erlang-redis-client (1.0.8-3) unstable; urgency=medium

  * Build-Depend on erlang-crypto (Closes: #836888)

 -- Philipp Huebner <debalance@debian.org>  Wed, 07 Sep 2016 11:20:27 +0200

erlang-redis-client (1.0.8-2) unstable; urgency=medium

  * Updated debian/copyright
  * Updated Standards-Version: 3.9.8 (no changes needed)
  * Updated Vcs-* fields in debian/control

 -- Philipp Huebner <debalance@debian.org>  Sun, 26 Jun 2016 15:56:16 +0200

erlang-redis-client (1.0.8-1) unstable; urgency=medium

  * Imported Upstream version 1.0.8

 -- Philipp Huebner <debalance@debian.org>  Mon, 29 Jun 2015 14:01:11 +0200

erlang-redis-client (1.0.7-2) unstable; urgency=medium

  * Fixed FTBFS
  * Streamlined debian/rules

 -- Philipp Huebner <debalance@debian.org>  Sat, 02 May 2015 21:06:49 +0200

erlang-redis-client (1.0.7-1) unstable; urgency=low

  * Initial release (Closes: #781905)

 -- Philipp Huebner <debalance@debian.org>  Sun, 19 Apr 2015 17:12:17 +0200

=== debian/control ===
Source: erlang-redis-client
Section: libs
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-base, erlang-crypto, erlang-eunit, erlang-syntax-tools
Standards-Version: 4.0.0
Homepage: https://github.com/wooga/eredis
Vcs-Git: https://anonscm.debian.org/git/users/debalance/erlang-redis-client.git
Vcs-Browser: https://anonscm.debian.org/git/users/debalance/erlang-redis-client.git

Package: erlang-redis-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base | ${erlang-abi:Depends},
         ${erlang:Depends}
Description: Redis client for Erlang applications
 Non-blocking Redis client for Erlang applications with focus on performance
 and robustness.
 .
 Supported Redis features:
  - Any command, through eredis:q/2
  - Transactions
  - Pipelining
  - Authentication & multiple dbs
  - Pubsub

## erlang-redis-client 1.1.0

=== debian/changelog ===
erlang-redis-client (1.1.0-2) unstable; urgency=medium

  * Set Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
  * Set Uploaders: Philipp Huebner <debalance@debian.org>
  * Updated Vcs-* fields in debian/control for salsa.debian.org
  * Updated years in debian/copyright
  * Updated Standards-Version: 4.1.3 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Thu, 04 Jan 2018 11:38:06 +0100

erlang-redis-client (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0
  * Updated Standards-Version: 4.1.0 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Sat, 02 Sep 2017 17:33:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: erlang-redis-client
 Section: libs
 Priority: optional
-Maintainer: Philipp Huebner <debalance@debian.org>
+Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
+Uploaders: Philipp Huebner <debalance@debian.org>
 Build-Depends: debhelper (>= 9), dh-rebar, erlang-base, erlang-crypto, erlang-eunit, erlang-syntax-tools
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: https://github.com/wooga/eredis
-Vcs-Git: https://anonscm.debian.org/git/users/debalance/erlang-redis-client.git
-Vcs-Browser: https://anonscm.debian.org/git/users/debalance/erlang-redis-client.git
+Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-redis-client.git
+Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-redis-client
 
 Package: erlang-redis-client
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/default.mk

DESTDIR=$(CURDIR)/debian/erlang-redis-client


%:
	dh $@ --buildsystem=rebar --with rebar


override_dh_auto_install:
	dh_auto_install
	for file in include/*.hrl ; do \
		fname=$$(basename $${file}) ; \
		subdir=$$(basename $$(dirname $${file})) ; \
		if [ ! -f $(DESTDIR)/usr/lib/erlang/lib/eredis-$(DEB_VERSION_UPSTREAM)/$${subdir}/$${fname} ] ; then \
			install -m 755 -d $(DESTDIR)/usr/lib/erlang/lib/eredis-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
			install -m 644 $${file} \
			$(DESTDIR)/usr/lib/erlang/lib/eredis-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
		fi ; \
	done


get-orig-source:
	dh_testdir
	wget -O ../erlang-eredis_$(DEB_VERSION_UPSTREAM).orig.tar.gz \
		https://github.com/wooga/eredis/archive/v$(DEB_VERSION_UPSTREAM).tar.gz

## erlang-redis-client 1.2.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,6 @@
 APP=eredis
+
+PRE17 := $(shell ERL_FLAGS="" erl -eval 'io:format("~s~n", [case re:run(erlang:system_info(otp_release), "^R") of nomatch -> ""; _ -> pre17 end]), halt().' -noshell)
 
 .PHONY: all compile clean Emakefile
 
@@ -22,6 +24,10 @@
 EXTRA_OPTS:=$(EXTRA_OPTS) {d,'TEST', true},
 endif
 
+ifndef PRE17
+EXTRA_OPTS:=$(EXTRA_OPTS) {d,namespaced_types},
+endif
+
 Emakefile: Emakefile.src
 	sed "s/{{EXTRA_OPTS}}/$(EXTRA_OPTS)/" $< > $@

=== debian/changelog ===
erlang-redis-client (1.2.0-1) unstable; urgency=medium

  * Enabled DH_VERBOSE in debian/rules
  * New upstream version 1.2.0
  * Updated Standards-Version: 4.2.1 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Sun, 07 Oct 2018 18:16:21 +0200

erlang-redis-client (1.1.0-3) unstable; urgency=medium

  * Switched to debhelper 11
  * Use secure copyright format uri in debian/copyright
  * Updated Standards-Version: 4.1.4 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Wed, 09 May 2018 13:35:34 +0200

=== debian/control ===
Source: erlang-redis-client
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-rebar,
               erlang-base,
               erlang-crypto,
               erlang-eunit,
               erlang-syntax-tools
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-redis-client
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-redis-client.git
Homepage: https://github.com/wooga/eredis

Package: erlang-redis-client
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         erlang-base | ${erlang-abi:Depends},
         ${erlang:Depends}
Description: Redis client for Erlang applications
 Non-blocking Redis client for Erlang applications with focus on performance
 and robustness.
 .
 Supported Redis features:
  - Any command, through eredis:q/2
  - Transactions
  - Pipelining
  - Authentication & multiple dbs
  - Pubsub

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-#export DH_VERBOSE = 1
+export DH_VERBOSE = 1
 
 include /usr/share/dpkg/default.mk

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/erlang-redis-client_$1.tar.gz/" \
         https://github.com/wooga/eredis/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz
